## org.apache.myfaces.custom.selectOneLanguage
Class SelectOneLanguage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne
                          javax.faces.component.html.HtmlSelectOneMenu
                              org.apache.myfaces.component.html.ext.HtmlSelectOneMenu
                                  org.apache.myfaces.custom.selectOneLanguage.SelectOneLanguage

All Implemented Interfaces:
  DisplayValueOnlyCapable, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, UserRoleAware, javax.faces.component.ValueHolder

public class SelectOneLanguage
extends HtmlSelectOneMenu

Version:
  $Revision: 278656 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectOne
`COMPONENT_FAMILY, INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface org.apache.myfaces.component.DisplayValueOnlyCapable
`DISPLAY_VALUE_ONLY_ATTR, DISPLAY_VALUE_ONLY_STYLE_ATTR, DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR`

Constructor Summary
`SelectOneLanguage()`

Method Summary
`protected java.util.List` `getLanguagesChoicesAsSelectItemList()`
`java.lang.Integer` `getMaxLength()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setMaxLength(java.lang.Integer maxLength)`
`protected void` `validateValue(javax.faces.context.FacesContext context, java.lang.Object value)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlSelectOneMenu
`getClientId, getDisplayValueOnlyStyle, getDisplayValueOnlyStyleClass, getEnabledOnUserRole, getVisibleOnUserRole, isDisplayValueOnly, isRendered, isSetDisplayValueOnly, setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.html.HtmlSelectOneMenu

`getAccesskey, getDir, getDisabledClass, getEnabledClass, getLang, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getStyle, getStyleClass, getTabindex, getTitle, isDisabled, isReadonly, setAccesskey, setDir, setDisabled, setDisabledClass, setEnabledClass, setLang, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class javax.faces.component.UISelectOne
`getFamily`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### SelectOneLanguage

    public SelectOneLanguage()

Method Detail

### getMaxLength

    public java.lang.Integer getMaxLength()

### setMaxLength

    public void setMaxLength(java.lang.Integer maxLength)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `HtmlSelectOneMenu`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `HtmlSelectOneMenu`

### getLanguagesChoicesAsSelectItemList

    protected java.util.List getLanguagesChoicesAsSelectItemList()

### validateValue

    protected void validateValue(javax.faces.context.FacesContext context,
                                 java.lang.Object value)